افزایش سرعت سایت وردپرس با افزونه Cache Enabler

/, معرفی افزونه, وردپرس/افزایش سرعت سایت وردپرس با افزونه Cache Enabler

افزایش سرعت سایت وردپرس با افزونه Cache Enabler

یکی از راه های بهینه سازی و افزایش سرعت سایت ایجاد یک سیستم کش قوی است .

شاید در ابتدا این سوال برایتان پیش بیاید که سیستم کش سایت یا در اصطلاح کش کردن سایت چیست ؟

هربار که کاربری درحال بارگذاری صفحه ای از سایت شما می باشد تمامی فایل های موجود در صفحه سایت مانند Javascript ، HTML ، CSS ، تصاویر و … را نیز بارگذاری می کند و بدین معنی است که صفحه برای بارگذاری ابتدا این اطلاعات را به دیتابیس یا پایگاه اطلاعات سایت می فرستد و پس از دریافت آن ، صفحه برای کاربر به نمایش در می آید .

حال سیستم کش سایت ، از این صفحات نسخه ثابتی می سازد ( از صفحاتی که تغییری در آن ها به وجود نمی آید و اطلاعات آن ثابت است ) و هر بار که کاربر صفحه را باز میکند به جای ارسال و دریافت اطلاعات از پایگاه داده ها که در اصطلاح نسخه داینامیک نامیده می شوند ، نسخه استاتیک یا ثابتی که از صفحه تهیه شده است را به کاربر نمایش میدهد .

این اطلاعات در حافظه کش مرورگر کاربران ذخیره می شود و در نتیجه باعث افزایش سرعت بارگذاری صفحات سایت شما می شود .

حال که با تعریف سیستم کش سایت آشنا شده اید و تصمیم به استفاده از این سیستم را گرفته اید ، ما افزونه Cache Enabler را به شما معرفی می کنیم که از قدرتمند ترین افزونه ها در این زمینه است .

Cache Enabler

با این افزونه می توان از صفحات سایت که دچار تغییر نمی شوند ( برای مثال صفحه Home یا خانه سایت ، همواره دچار تغییر می شود ) نسخه ای ثابت تهیه و آن را در حافظه سایت ذخیره کرد .

افزونه امکانات زیادی را که شامل موارد زیر می باشد را در اختیار شما می گذارد :

  • موتوری کارآمد ، قوی و سریع برای ایجاد حافظه کش
  • پاکسازی حافظه کش ایجاد شده به صورت خودکار یا دستی
  • پاکسازی حافظه کش برای صفحه ای خاص به صورت دستی
  • نمایش فضای اشغال شده توسط کش در پیشخوان سایت
  • کم کردن حجم فایل های HTML و جاوااسکریپت های درون خطی
  • پشتیبانی از سیستم مولتی سایت وردپرس
  • پشتیبانی از نوشته ها و مطالب سفارشی
  • تنظیم تاریخ انقضا برای کش
  • پشتیبانی از کد ۳۰۴ Not Modified برای نشان دادن تغییر نیافتن محتوای صفحه از زمان آخرین کش
  • پشتیبانی از تصاویر WebP ( درصورتی که از افزونه Optimus استفاده می کنید . )
  • پشتیبانی از تصاویر واکنش گرا
  • سازگاری کامل با افزونه Autoptimize

برای استفاده از افزونه نیازمند PHP ورژن ۵.۳ یا بالاتر و وردپرس ورژن ۴.۱ یا بالاتر می باشید .

نویسنده: |۱۳۹۷/۴/۷ ۱۸:۰۰:۰۵۷ تیر ۱۳۹۷|سئو, معرفی افزونه, وردپرس|فاقد دیدگاه

درباره نویسنده:

نظر شما چیست